Package org.apache.wiki.markdown

## Class MarkdownForJSPWikiExtension

- java.lang.Object
- - org.apache.wiki.markdown.MarkdownForJSPWikiExtension

All Implemented Interfaces:
  `com.vladsch.flexmark.html.HtmlRenderer.HtmlRendererExtension`, `com.vladsch.flexmark.parser.Parser.ParserExtension`, `com.vladsch.flexmark.util.misc.Extension`

    public class MarkdownForJSPWikiExtension
    extends java.lang.Object
    implements com.vladsch.flexmark.parser.Parser.ParserExtension, com.vladsch.flexmark.html.HtmlRenderer.HtmlRendererExtension

Flexmark entry point to bootstrap JSPWiki extensions.

### Field Summary

### Fields inherited from interface com.vladsch.flexmark.util.misc.Extension

`EMPTY_LIST`

### Constructor Summary

Constructors
`MarkdownForJSPWikiExtension​(org.apache.wiki.api.core.Context context, boolean isImageInlining, java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `extend​(com.vladsch.flexmark.html.HtmlRenderer.Builder rendererBuilder, java.lang.String rendererType)`
`void` `extend​(com.vladsch.flexmark.parser.Parser.Builder parserBuilder)`
`void` `parserOptions​(com.vladsch.flexmark.util.data.MutableDataHolder options)`
`void` `rendererOptions​(com.vladsch.flexmark.util.data.MutableDataHolder options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkdownForJSPWikiExtension

    public MarkdownForJSPWikiExtension​(org.apache.wiki.api.core.Context context,
                                       boolean isImageInlining,
                                       java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

### Method Detail

#### rendererOptions

    public void rendererOptions​(com.vladsch.flexmark.util.data.MutableDataHolder options)

Specified by:
  `rendererOptions` in interface `com.vladsch.flexmark.html.HtmlRenderer.HtmlRendererExtension`

#### parserOptions

    public void parserOptions​(com.vladsch.flexmark.util.data.MutableDataHolder options)

Specified by:
  `parserOptions` in interface `com.vladsch.flexmark.parser.Parser.ParserExtension`

#### extend

    public void extend​(com.vladsch.flexmark.html.HtmlRenderer.Builder rendererBuilder,
                       java.lang.String rendererType)

Specified by:
  `extend` in interface `com.vladsch.flexmark.html.HtmlRenderer.HtmlRendererExtension`

#### extend

    public void extend​(com.vladsch.flexmark.parser.Parser.Builder parserBuilder)

Specified by:
  `extend` in interface `com.vladsch.flexmark.parser.Parser.ParserExtension`